elhacker.net cabecera Bienvenido(a), Visitante. Por favor Ingresar o Registrarse
¿Perdiste tu email de activación?.

 

 


Tema destacado: Usando Git para manipular el directorio de trabajo, el índice y commits (segunda parte)


  Mostrar Temas
Páginas: [1]
1  Comunicaciones / Hacking Mobile / por k pasa esto? en: 23 Septiembre 2006, 23:29 pm
no me muestra mas ... :S

Detectando dispositivos ...
[root@localhost /]# ./bluezscanner -cp
+ BlueZScanner, por Gospel <gospel.endorasoft.es>

Detectando dispositivos ...

Dispositivo (1) encontrado:
        MAC: 00:0A:28:3C:14:E8          Nombre: . ~ReUTeR~
        Fabricante del Chip Bluetooth:
                · Motorola
        Class: 0x522204 [010100100010001000000100]
         - Servicios soportados (Service Classes):
                · Telephony (Cordless telephony, Modem, Headset service, ...)
                · Object Transfer (v-Inbox, v-Folder, ...)
                · Networking (LAN, Ad hoc, ...)
         - Tipo de dispositivo (Device Class):
                · Phone > Cellular
[!] Error. No se ha podido conectar con el servidor SDP.
2  Comunicaciones / Hacking Mobile / no se puede instalar HeloMoto en: 23 Septiembre 2006, 22:42 pm
ok pss soy nuevo en esto y necesitoi algo de ayuda.... ya instale el bluez y el openobex segun ya lo instalo pero kuando trato de kompilar el helomoto.c me salen errores:

[root@localhost /]# gcc helomoto.c -o helo
helomoto.c:47:18: error: glib.h: No existe el fichero o el directorio
helomoto.c:60: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘b tobex_connect’
helomoto.c:95: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘b tobex_disconnect’
helomoto.c:105: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘ btobex_listen’
helomoto.c:113: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘ btobex_write’
helomoto.c:121: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘ btobex_handleinput’
helomoto.c:148: error: ‘btobex_connect’ undeclared here (not in a function)
helomoto.c:149: error: ‘btobex_disconnect’ undeclared here (not in a function)
helomoto.c:150: error: ‘btobex_listen’ undeclared here (not in a function)
helomoto.c:151: error: ‘btobex_write’ undeclared here (not in a function)
helomoto.c:152: error: ‘btobex_handleinput’ undeclared here (not in a function)
helomoto.c:156: error: expected declaration specifiers or ‘...’ before ‘gint’
helomoto.c:156: error: expected declaration specifiers or ‘...’ before ‘gint’
helomoto.c:156: error: expected declaration specifiers or ‘...’ before ‘gint’
helomoto.c:156: error: expected declaration specifiers or ‘...’ before ‘gint’
helomoto.c: En la función ‘btobex_event’:
helomoto.c:158: error: ‘event’ undeclared (first use in this function)
helomoto.c:158: error: (Each undeclared identifier is reported only once
helomoto.c:158: error: for each function it appears in.)
helomoto.c: En el nivel principal:
helomoto.c:189: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘ *’ token
helomoto.c: En la función ‘btobex_plant’:
helomoto.c:222: aviso: se pasa el argumento 2 de ‘OBEX_Init’ desde un tipo de pu ntero incompatible

Y LUEGO TRATE DE INSTALAR EL OBEXFS y nada:

[root@localhost /]# cd obexfs-0.8
[root@localhost obexfs-0.8]# ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
/obexfs-0.8/missing: Unknown `--run' option
Try `/obexfs-0.8/missing --help' for more information
configure: WARNING: `missing' script is too old or missing
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking for ranlib... ranlib
checking for a BSD-compatible install... /usr/bin/install -c
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for OPENOBEX... configure: error: Package requirements (openobex) were not met:

No package 'openobex' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables OPENOBEX_CFLAGS
and OPENOBEX_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.


ya instale bien el openobex...por k siguen saliendo estos errores?
Páginas: [1]
WAP2 - Aviso Legal - Powered by SMF 1.1.21 | SMF © 2006-2008, Simple Machines